Notifly
API ReferenceSubscribers

Update a subscriber

Update a subscriber by its unique key identifier **subscriberId**. **subscriberId** is a required field, rest other fields are optional

PATCH
/v2/subscribers/{subscriberId}

Update a subscriber by its unique key identifier subscriberId. subscriberId is a required field, rest other fields are optional

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

subscriberId*string

The identifier of the subscriber

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v2/subscribers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "_id": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phone": "string",    "avatar": "string",    "locale": "string",    "channels": [      {        "providerId": "slack",        "integrationIdentifier": "string",        "credentials": {          "webhookUrl": "https://example.com/webhook",          "channel": "general",          "deviceTokens": [            "token1",            "token2",            "token3"          ],          "alertUid": "12345-abcde",          "title": "Critical Alert",          "imageUrl": "https://example.com/image.png",          "state": "resolved",          "externalUrl": "https://example.com/details"        },        "_integrationId": "string"      }    ],    "topics": [      "string"    ],    "isOnline": true,    "lastOnlineAt": "string",    "__v": 0,    "data": {},    "timezone": "string",    "subscriberId": "string",    "_organizationId": "string",    "_environmentId": "string",    "deleted": true,    "createdAt": "string",    "updatedAt": "string"  }}